plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
    id 'kotlin-kapt'
}
android {
    compileSdkVersion rootProject.ext.compile_sdk_version

    defaultConfig {
        minSdkVersion rootProject.ext.min_sdk_version
    }

    compileOptions {
        sourceCompatibility 1.8
        targetCompatibility 1.8
    }

    dataBinding {
        enabled = true
    }
    buildTypes {
        debug {
            debuggable true
        }
        release {
            debuggable false
        }
    }
    repositories {
        flatDir {
            dirs '../aars'
        }
    }
}
kapt {
    arguments {
        arg("AROUTER_MODULE_NAME", project.getName())
        arg("AROUTER_GENERATE_DOC", "enable")
    }
}

dependencies {
    implementation "com.qmuiteam:qmui:1.4.0"
    kapt "com.android.databinding:compiler:3.5.3"
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation(name: 'secspace', ext: 'aar')
}